post
https://api.supportbench.com/activity
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creating a new activity for a case from the API can be done by posting your activity object to Supportbench. Updating activities are not supported.
When creating an activity, the below fields are available to you.
| Name | Required | Default | Summary |
|---|---|---|---|
| case_id | yes | The case id this activity is associated to. | |
| type_id | yes | The activity type. i.e. Task | |
| contact_id | no | The contact associated to this activity. | |
| time_spent | no | 0 | The time spent in minutes. |
| subject | no | The subject of the activity if different from the case. | |
| public | no | False | Is the case available within the communities. |
| important | no | False | Set the important flag. |
| logs | no | False | Set the log flag. |
| solution | no | False | Set the solution flag. |
| email_from | no | The email from. | |
| email_to | no | The email to addresses separated by commas. | |
| email_cc | no | The email cc addresses separated by commas | |
| content | yes | The activity content in HTML. | |
| due | no | Used for tasks. The date the task is due. | |
| completed_on | no | Used for tasks. The date the task was completed on. | |
| attachment_group_id | no | When attaching files, enter the attachment group id associated to the files to attach to this activity. |

